Getting Started with the API
The Neto by Maropost API allows you to interact with the data inside of a merchant’s Neto control panel via other apps and services. This includes product, customer, order data, and much more. As a developer, you can build with Neto's API in one of the following ways:
- Add-ons that are listed in the Neto Control Panel for any merchant to install and generate revenue for you. Our add-ons page) can give you some ideas about the kind of add-ons that other developers have already made.
- Custom Development for clients who use Neto to create specific integrations, automations or customisations.
Want to experiment with our API quickly? Check out the quick start guide below for some tips.
Connect to the Neto API
All transactions with the Neto API are performed using a HTTPS POST request to a fixed endpoint on a merchant’s domain. For example:
https://www.mysite.com.au/do/WS/NetoAPI
To specify what action you want to use, the NETOAPI_ACTION header must be included:
e.g. NETOAPI_ACTION: GetCustomer
You can use either XML or JSON with the API. If you’re using JSON, you will need to specify the Accept header to receive JSON back; otherwise you will receive XML.
Putting this all together yields the following request:
Curl -d ‘{“Filter”: { “Limit”: 5, “Page”: 0 }}’ -H “Accept: application/json, Content-Type: application/json, NETOAPI_ACTION: GetCustomer” -X POST https://www.mynetosite.com.au/do/WS/NetoAPIDon't have an application built yet, you can use a platform such as Postman to make API calls without coding the full request.
Support
We are intent on continually updating and improving the API. Currently, there are functions not available through the API and until we have made all functions available the API will remain in development. All available functions in this documentation are tested and available for live environments.
For API support, please contact the Neto Team.